The Apache Haus Forum

Advanced search  

News:

Welcome to Apache Haus Distribution Forum

Pages: [1]   Go Down

Author Topic: Upgrade OpenSSL to 1.1.0  (Read 1760 times)

bwgreen

  • Newbie
  • *
  • Offline Offline
  • Posts: 1
Upgrade OpenSSL to 1.1.0
« on: January 26, 2017, 06:24:45 PM »

We have a need to upgrade the OpenSSL on our machine from 1.0.2j to 1.1.0 (we are running Apache 2.4.25 VC14) - are there plans to build an upgrade for this?  Or does anyone know of a way to do it?

Thanks,

Brian
Logged

Gregg

  • Administrator
  • Member Elite
  • *****
  • Offline Offline
  • Posts: 831
Re: Upgrade OpenSSL to 1.1.0
« Reply #1 on: January 26, 2017, 09:19:57 PM »

Well, there is no plan to upgrade to 1.1.0 until Apache is modified to use it. 1.1.0 has a drastic API change so it's not like prior versions that one can simply just start building with instead (like 1.0.0, 1.0.1 & 1.0.2).

So once Apache has been modified to deal with it (in the works), we'll be upgrading to it.

As a side note, the last few high severity bugs in OpenSSL have been only in 1.1.0.
https://www.openssl.org/news/vulnerabilities.html#y2016

Logged
Pages: [1]   Go Up
 

Sitemap 1 2 3 4 5 6 7 8 9 10 11 12 13